unit MyEdit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TMyEdit = class(TEdit)
  private
    { Private declarations }
    Function Reverse : String;
    function GetReversedTxt: String;
  protected
    { Protected declarations }
  public
    { Public declarations }
    Constructor Create(AOwner : TComponent); override;
    Property ReversedTxt : String read GetReversedTxt;
  published
    { Published declarations }
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Samples', [TMyEdit]);
end;

{ TMyEdit }

constructor TMyEdit.Create(AOwner: TComponent);
begin
 inherited;

 Width := 200;

 Color := clInfoBk;
end;

function TMyEdit.GetReversedTxt: String;
begin
 Result := Reverse;
end;

function TMyEdit.Reverse: String;
Var I, L : Integer;
begin
 L := Length(Text);

 SetLength(Result, L);

 For I := 1 to Length(Text) do
  Result[(L+1) - I] := Text[I];
end;

end.
